You'll need an Internet service provider, a modem (28,800 baud or higher is recommended), and Browser software which supports Secure Sockets Layer (i.e. Netscape 4.x or newer, Microsoft Internet Explorer 4.x or newer. Latest browser version is recommended).